package testing;

import com.silanis.esl.sdk.*;
import com.silanis.esl.sdk.builder.*;

public class PlaceholderExample {

	public static void main(String[] args) {
		
		EslClient eslClient = new EslClient(info.API_KEY_SANDBOX, info.API_URL_SANDBOX);
		
		PackageId templateId = new PackageId("y0vNT13ia20eNsSP5iOLA0o-e_8=");
		
		//Add placeholder
		Placeholder placeholder = new Placeholder("Manager");
		
		Placeholder addedPlaceholder = eslClient.getTemplateService().addPlaceholder(templateId, placeholder);
		
		//Update placeholder
		addedPlaceholder.setName("Client");
		Placeholder updatedPlaceholder = eslClient.getTemplateService().updatePlaceholder(templateId, addedPlaceholder);
		
		//Delete placeholder
		eslClient.getPackageService().removeSigner(templateId, addedPlaceholder.getId());
				
		
		
	}

}
